﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using synonyms_demo.Models;

namespace synonyms_demo.Migrations
{
    [DbContext(typeof(SynonymsDbContext))]
    partial class SynonymsDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.6-servicing-10079")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("synonyms_demo.Models.SynonymEntryModel", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Synonyms")
                        .HasMaxLength(512);

                    b.Property<string>("Term")
                        .HasMaxLength(64);

                    b.HasKey("Id");

                    b.HasIndex("Term");

                    b.ToTable("SynonymEntries");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Synonyms = "laptop,notebook",
                            Term = "computer"
                        },
                        new
                        {
                            Id = 2,
                            Synonyms = "notebook,pc",
                            Term = "computer"
                        },
                        new
                        {
                            Id = 3,
                            Synonyms = "workstation",
                            Term = "computer"
                        },
                        new
                        {
                            Id = 4,
                            Synonyms = "computer,portable-computer",
                            Term = "notebook"
                        });
                });
#pragma warning restore 612, 618
        }
    }
}
